## kdegames 2.2.2

=== kpat/freecell-solver/board_gen/Makefile ===

CC = gcc
OFLAGS = -Wall -O3

TARGETS = make-gnome-freecell-board make-aisleriot-freecell-board \
          make-microsoft-freecell-board pi-make-microsoft-freecell-board

UNBUILT_TARGETS = make-pysol-freecell-board

all: $(TARGETS)

all2: $(TARGETS) $(UNBUILT_TARGETS)

make-gnome-freecell-board: make_gnome_freecell_board.c
	$(CC) $(OFLAGS) -o $@ $<

make-aisleriot-freecell-board: make_aisleriot_freecell_board.c
	$(CC) $(OFLAGS) -o $@ $<

make-microsoft-freecell-board: make_microsoft_freecell_board.c
	$(CC) $(OFLAGS) -o $@ $<

pi-make-microsoft-freecell-board: pi_make_microsoft_freecell_board.c
	$(CC) $(OFLAGS) -o $@ $<

make-pysol-freecell-board: make_pysol_freecell_board.c
	$(CC) $(OFLAGS) -o $@ $<	

clean:
	rm -f $(TARGETS) $(UNBUILT_TARGETS)

## kdegames 4.1.4

=== ksudoku/src/gui/CMakeLists.txt ===
include_directories( views )

set(ksudoku_SRCS
	config.cpp
	ksudoku.cpp
	ksudokugame.cpp
	serializer.cpp
	history.cpp
	symbols.cpp
	gamevariants.cpp
	welcomescreen.cpp
)

set(ksudoku_views_SRCS
	views/ksview.cpp
	views/ArcBall.cpp
	views/gameactions.cpp
	views/renderer.cpp
	views/valuelistwidget.cpp
	views/view2d.cpp )

if(OPENGL_SUPPORT)
	set(ksudoku_views_SRCS
		${ksudoku_views_SRCS}
		views/roxdokuview.cpp )
endif(OPENGL_SUPPORT)


kde4_add_ui_files(ksudoku_SRCS welcomescreen.ui configgame.ui)

kde4_add_kcfg_files(ksudoku_SRCS settings.kcfgc )

kde4_add_library(ksudoku_gui STATIC ${ksudoku_SRCS} ${ksudoku_views_SRCS})

target_link_libraries(ksudoku_gui 
	ksudoku_logic
    kdegames
	${KDE4_KDEUI_LIBS} 
	${KDE4_KDECORE_LIBS} 
	${KDE4_KIO_LIBRARY}
	${QT_QTCORE_LIBRARY} 
	${QT_QTGUI_LIBRARY}
	)

if(OPENGL_SUPPORT)
	target_link_libraries(ksudoku_gui 
		${OPENGL_LIBRARIES}
		${QT_QTOPENGL_LIBRARY})
endif(OPENGL_SUPPORT)

	
########### next target ###############

set(ksudoku_client_SRCS
    ksudoku_client.cpp
)

#kde4_add_executable(ksudoku_client ${ksudoku_client_SRCS})

#target_link_libraries(ksudoku_client ${QT_AND_KDECORE_LIBRARIES} kdeui)

## kdegames 4.4.5

=== bovo/CMakeLists.txt ===
project (BOVO)
KDE4_NO_ENABLE_FINAL(bovo)

# re-enabling exceptions (turned off in KDE)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

include_directories (
	${BOVO_SOURCE_DIR}/gui ${CMAKE_BINARY_DIR}/gui
	${BOVO_SOURCE_DIR}/game ${BOVO_SOURCE_DIR}/ai
)

set( bovogame_SRCS
	game/game.cc 
	game/board.cc 
	game/dimension.cc 
	game/coord.cc 
	game/square.cc 
	game/move.cc )

set( bovoai_SRCS 
	ai/ai.cc 
	ai/aifactory.cc 
	ai/aron/aiaron.cc 
	ai/aron/aiboard.cc 
	ai/aron/aisquare.cc 
	ai/gabor/aigabor.cc 
	ai/gabor/standing.cpp 
	ai/gabor/node.cpp 
	ai/gabor/ai_interface.cpp 
	ai/gabor/ai_impl.cpp )

set(bovogui_SRCS
	gui/hintitem.cc
	gui/mark.cc
	gui/theme.cc
	gui/scene.cc
	gui/view.cc
	gui/mainwindow.cc
	gui/main.cc
)

set(bovo_SRCS
	${bovogui_SRCS}
	${bovoai_SRCS}
	${bovogame_SRCS}
)

kde4_add_kcfg_files(bovo_SRCS gui/settings.kcfgc)
kde4_add_app_icon(bovo_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-bovo.png") 
kde4_add_executable(bovo ${bovo_SRCS})

target_link_libraries(bovo kdegames ${KDE4_KDEUI_LIBS} )

add_subdirectory (themes)
add_subdirectory (icons)

install (TARGETS bovo ${INSTALL_TARGETS_DEFAULT_ARGS})
install (FILES gui/bovoui.rc  DESTINATION  ${DATA_INSTALL_DIR}/bovo )
install (FILES bovo.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== doc/CMakeLists.txt ===
if(BUILD_katomic)
  add_subdirectory(katomic)
endif()
if(BUILD_bovo)
  add_subdirectory(bovo)
endif()
if(BUILD_granatier)
    add_subdirectory(granatier)
endif()
if(BUILD_kbattleship)
  add_subdirectory(kbattleship)
endif()
if(BUILD_kblackbox)
  add_subdirectory(kblackbox)
endif()
if(BUILD_kblocks)
  add_subdirectory(kblocks)
endif()
if(BUILD_kbounce)
  add_subdirectory(kbounce)
endif()
if(BUILD_kbreakout)
  add_subdirectory(kbreakout)
endif()
if(BUILD_kdiamond)
  add_subdirectory(kdiamond)
endif()
if(BUILD_kgoldrunner)
  add_subdirectory(kgoldrunner)
endif()
if(BUILD_killbots)
  add_subdirectory(killbots)
endif()
if(BUILD_kigo)
  add_subdirectory(kigo)
endif()
if(BUILD_kiriki)
  add_subdirectory(kiriki)
endif()
if(BUILD_kjumpingcube)
  add_subdirectory(kjumpingcube)
endif()
if(BUILD_klines)
  add_subdirectory(klines)
endif()
if(BUILD_kmahjongg)
  add_subdirectory(kmahjongg)
endif()
if(BUILD_kmines)
  add_subdirectory(kmines)
endif()
if(BUILD_knetwalk)
  add_subdirectory(knetwalk)
endif()
if(BUILD_kolf)
  add_subdirectory(kolf)
endif()
if(BUILD_kollision)
  add_subdirectory(kollision)
endif()
if(BUILD_konquest)
  add_subdirectory(konquest)
endif()
if(BUILD_kpat)
  add_subdirectory(kpat)
endif()
if(BUILD_kreversi)
  add_subdirectory(kreversi)
endif()
if(BUILD_ksame)
  add_subdirectory(ksame)
endif()
if(BUILD_kshisen)
  add_subdirectory(kshisen)
endif()
if(BUILD_ktron)
  add_subdirectory(ktron)
endif()
if(BUILD_ksirk)
  add_subdirectory(ksirk)
endif()
if(BUILD_kspaceduel)
  add_subdirectory(kspaceduel)
endif()
if(BUILD_ksquares)
  add_subdirectory(ksquares)
endif()
if(BUILD_ktuberling)
  add_subdirectory(ktuberling)
endif()
if(BUILD_kfourinline)
  add_subdirectory(kfourinline)
endif()
if(BUILD_lskat)
  add_subdirectory(lskat)
endif()
if(BUILD_kapman)
  add_subdirectory(kapman)
endif()
if(BUILD_bomber)
  add_subdirectory(bomber)
endif()
if(BUILD_palapeli)
  add_subdirectory(palapeli)
endif()
if(OPENGL_FOUND)
   if(BUILD_ksudoku)
     add_subdirectory(ksudoku)
   endif()
   if(BUILD_kubrick)
     add_subdirectory(kubrick)
   endif()
endif(OPENGL_FOUND)

=== kbounce/CMakeLists.txt ===
project(kbounce)

add_subdirectory( themes ) 
add_subdirectory( sounds ) 
add_subdirectory( pics ) 

include_directories(${CMAKE_SOURCE_DIR}/libkdegames/highscore)
 
if(KDE4_ENABLE_FPIE)
    set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_CXX_FPIE_FLAGS}")
endif(KDE4_ENABLE_FPIE)

########### next target ###############

set(kbounce_SRCS
    ball.cpp
    board.cpp
    gameobject.cpp
    gamewidget.cpp
    main.cpp 
    mainwindow.cpp 
    renderer.cpp
    wall.cpp )

kde4_add_kcfg_files(kbounce_SRCS settings.kcfgc)

kde4_add_app_icon(kbounce_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/hi*-app-kbounce.png")
kde4_add_executable(kbounce ${kbounce_SRCS})

if(KDE4_ENABLE_FPIE)
    target_link_libraries(kbounce  ${KDE4_KDEUI_LIBS}  kdegames ${KDE4_PHONON_LIBS} ${KDE4_PIE_LDFLAGS})
else(KDE4_ENABLE_FPIE)
    target_link_libraries(kbounce  ${KDE4_KDEUI_LIBS}  kdegames ${KDE4_PHONON_LIBS})
endif(KDE4_ENABLE_FPIE)


install(TARGETS kbounce  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES kbounce.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kbounceui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kbounce )

=== kbreakout/CMakeLists.txt ===
project( kbreakout )
add_subdirectory( src ) 
add_subdirectory( pics )
add_subdirectory( themes )
add_subdirectory( levelsets )
install( FILES kbreakout.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

=== kfourinline/CMakeLists.txt ===
project(kfourinline)

add_subdirectory( src ) 
add_subdirectory( grafix ) 




########### install files ###############

install( FILES kfourinline.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== kreversi/CMakeLists.txt ===
project(kreversi)
add_subdirectory( pics ) 
add_subdirectory( sounds ) 
add_subdirectory( icons ) 

include_directories( ${CMAKE_SOURCE_DIR}/libkdegames/highscore)

########### next target ###############

set(kreversi_SRCS 
    kreversichip.cpp
    kreversigame.cpp
    kreversirenderer.cpp
    kreversiscene.cpp
    kreversiview.cpp
    Engine.cpp
    highscores.cpp
    mainwindow.cpp
    main.cpp )

kde4_add_kcfg_files(kreversi_SRCS preferences.kcfgc)

kde4_add_app_icon(kreversi_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-kreversi.png")
kde4_add_executable(kreversi ${kreversi_SRCS})

target_link_libraries(kreversi ${KDE4_KDEUI_LIBS} kdegames ${KGGZGAMES_LIBS})
install(TARGETS kreversi  ${INSTALL_TARGETS_DEFAULT_ARGS} )

register_ggz_module(module.dsc)

########### install files ###############

install( FILES kreversi.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
#install( FILES kreversi.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES kreversiui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kreversi )

=== ksirk/CMakeLists.txt ===
project(ksirk)

KDE4_NO_ENABLE_FINAL(ksirk)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

remove_definitions(-DQT_NO_STL) 

add_subdirectory(ksirk)
add_subdirectory(ksirkskineditor)

=== libkdegames/CMakeLists.txt ===
enable_testing()

project(libkdegames)

KDE4_NO_ENABLE_FINAL(libkdegames)
configure_file(highscore/config-highscore.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/highscore/config-highscore.h )

add_subdirectory( carddecks )
add_subdirectory( digits )
add_subdirectory( highscore )
add_subdirectory( includes )
add_subdirectory( kgame )
add_subdirectory( pics )
add_subdirectory( tests )
add_subdirectory( kggznet )
add_subdirectory( kggzgames )
add_subdirectory( kggzmod )

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/highscore
   ${CMAKE_CURRENT_SOURCE_DIR}/kgame
   ${CMAKE_CURRENT_SOURCE_DIR}/kgame/dialogs
   ${CMAKE_CURRENT_BINARY_DIR}/highscore
)

########### next target ###############

set(kdegames_LIB_SRCS
    digits/kgamesvgdigits.cpp
#   highscore/kconfigrawbackend.cpp
    highscore/kexthighscore_item.cpp
    highscore/kexthighscore_internal.cpp
    highscore/kexthighscore_tab.cpp
    highscore/kexthighscore_gui.cpp
    highscore/kexthighscore.cpp
    highscore/khighscore.cpp
    highscore/kscoredialog.cpp
    kgame/kgame.cpp
    kgame/kgamechat.cpp
    kgame/kgameerror.cpp
    kgame/kgameio.cpp
    kgame/kgamemessage.cpp
    kgame/kgamenetwork.cpp
    kgame/kgameprocess.cpp
    kgame/kgameproperty.cpp
    kgame/kgamepropertyhandler.cpp
    kgame/kgamesequence.cpp
    kgame/kmessageclient.cpp
    kgame/kmessageio.cpp
    kgame/kmessageserver.cpp
    kgame/kplayer.cpp
    kgame/dialogs/kgameconnectdialog.cpp
    kgame/dialogs/kgamedebugdialog.cpp
    kgame/dialogs/kgamedialog.cpp
    kgame/dialogs/kgamedialogconfig.cpp
    kgame/dialogs/kgameerrordialog.cpp
    carddeckinfo.cpp
    kcarddialog.cpp
    kchat.cpp
    kchatbase.cpp
    kchatbaseitemdelegate.cpp
    kchatbasemodel.cpp
    kchatdialog.cpp
    kgamecanvas.cpp
    kgameclock.cpp
    kgamelcd.cpp
    kgamemisc.cpp
    kgameprogress.cpp
    kgamepopupitem.cpp
    kgamesvgdocument.cpp
    kgametheme.cpp
    kgamethemeselector.cpp
    kstandardgameaction.cpp
    kgamedifficulty.cpp
    cardcache.cpp
)

kde4_add_ui_files(kdegames_LIB_SRCS
    kgamethemeselector.ui
    kgamecardselector.ui
)

kde4_add_library(kdegames SHARED ${kdegames_LIB_SRCS})

target_link_libraries(kdegames ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KDNSSD_LIBS} ${KDE4_KNEWSTUFF2_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTNETWORK_LIBRARY} )
target_link_libraries(kdegames LINK_INTERFACE_LIBRARIES ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTNETWORK_LIBRARY} )

set_target_properties(kdegames PROPERTIES VERSION 5.0.0 
                                          SOVERSION 5 )

install(TARGETS kdegames ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES
    libkdegames_export.h
    cardcache.h
    carddeckinfo.h
    kgamemisc.h
    kcarddialog.h
    kstandardgameaction.h
    kchatbase.h
    kchatbasemodel.h
    kchatbaseitemdelegate.h
    kchat.h
    kchatdialog.h
    kgameprogress.h
    kgamelcd.h
    kgamesvgdocument.h
    kgamepopupitem.h
    kgrid2d.h
    kgamecanvas.h
    kgameclock.h
    kgametheme.h
    kgamethemeselector.h
    kgamedifficulty.h
    DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== libkmahjongg/CMakeLists.txt ===
project(libkmahjongg)

add_subdirectory( tilesets ) 
add_subdirectory( backgrounds ) 

########### next target ###############

set(kmahjongg_LIB_SRCS
   kmahjonggtileset.cpp 
   kmahjonggbackground.cpp 
   kmahjonggtilesetselector.cpp 
   kmahjonggbackgroundselector.cpp 
   kmahjonggconfigdialog.cpp )

kde4_add_ui_files(kmahjongg_LIB_SRCS kmahjonggtilesetselector.ui kmahjonggbackgroundselector.ui )

kde4_add_library(kmahjongglib SHARED ${kmahjongg_LIB_SRCS})

target_link_libraries(kmahjongglib kdegames ${KDE4_KDEUI_LIBS})

set_target_properties(kmahjongglib PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )

install(TARGETS kmahjongglib ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES
   libkmahjongg_export.h
   kmahjonggtileset.h
   kmahjonggbackground.h 
   kmahjonggconfigdialog.h 
DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== palapeli/CMakeLists.txt ===
project(palapeli)
cmake_minimum_required(VERSION 2.6)

# allow standalone build of Palapeli (outside kdegames, e.g. in work branches)
if (NOT KDE4_FOUND)
  find_package(Qt4 4.6.0 REQUIRED)
  find_package(KDE4 REQUIRED)

  include_directories(${KDE4_INCLUDES})

  include(KDE4Defaults)
endif (NOT KDE4_FOUND)

add_subdirectory(libpala)
add_subdirectory(slicers)
add_subdirectory(tools)
add_subdirectory(src)
add_subdirectory(mime)
add_subdirectory(puzzles)

=== bovo/gui/CMakeLists.txt ===
# Graphical User Interface

set(bovogui_SRCS
    hintitem.cc
    mark.cc
    theme.cc
    scene.cc
    view.cc
    mainwindow.cc
    main.cc
)

kde4_add_kcfg_files(bovogui_SRCS settings.kcfgc)

kde4_add_app_icon(bovogui_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/bovo.png")
kde4_add_executable(bovo ${bovogui_SRCS})

target_link_libraries(bovo kdegames game ai ${KDE4_KDEUI_LIBS} )

install (TARGETS bovo ${INSTALL_TARGETS_DEFAULT_ARGS})
install (FILES bovoui.rc  DESTINATION  ${DATA_INSTALL_DIR}/bovo )

=== doc/kgoldrunner/CMakeLists.txt ===
########### install files ###############
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)

=== debian/changelog ===
kdegames (4:4.4.5-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Remove all the leftovers of kbackgammon and ksirtet.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update descriptions
    - add a s to contain. Closes: 587594
  * Change email address

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 10:07:47 +0200

kdegames (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Do not fail if there are missing symbols. libkdegames5 is not important
    enough to warrant such a FTBFS.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:15 +0300

kdegames (4:4.4.3-2) unstable; urgency=low

  * Update libkdegames5.symbols for armel. Fixes FTBFS.

 -- Modestas Vainius <modax@debian.org>  Wed, 12 May 2010 02:54:36 +0300

kdegames (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Confirm symbol files for 4.4.2 on ia64 kfreebsd-amd64 kfreebsd-i386 mips
    powerpc s390 sparc.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:53 +0300

kdegames (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - makes KSudoku able to solve puzzles again. (Closes: #506339)
    - Bovo now installs its icons in the hicolor theme. (Closes: #562730)

  [ Modestas Vainius ]
  * Add myself as uploader.
  * Fix Vcs-Browser URL.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Add symbol file for libkdegames5: based on 4.3.4, updated for 4.4.2 (i386,
    amd64).

  [ George Kiagiadakis ]
  * Add myself as uploader.
  * Bump kdelibs5-dev build dependency to >= 4:4.4.
  * Add build dependency on shared-mime-info.
  * Update installed files.
  * Re-add debian menu icon and manpages to kfourinline
    (removed accidentally on the kwin4->kfourline rename)
    and improve its debian menu title.
  * Kill the kdesnake package and move its files to ktron, since
    kdesnake is not a separate game but a special mode of ktron.

  [ Xavier Vello ]
  * Add palapeli, kigo, granatier.
  * Update ktuberling.install.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 23:45:54 +0300

kdegames (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Modestas Vainius:

  * Bump KDE build dependencies to current version.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:07 +0200

kdegames (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Karl Ferdinand Ebert:

  * Add source.lintian-overrides to ignore lintian warning about missing
    debug depends.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 Oct 2009 16:24:52 +0200

kdegames (4:4.3.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3, no changes required.
  * Remove superflous Section: games lines.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 12 Sep 2009 16:26:53 +0200

kdegames (4:4.3.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.2, no changes required.
  * Remove superflous section fields in debian/control.
  * Bump build dependencies to >= 4.3.0.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 04 Aug 2009 09:15:12 +0200

kdegames (4:4.2.96-1) unstable; urgency=low

  * New upstream release
    - New games: kdesnake and ktron
  * Take copyright notes of kdesnake and ktron.

  +++ Changes by Scott Kitterman:

   * Updated kdesnake/ktron package descriptions
   * Added kdesnake/ktron to the kdegames metapackage
   * Changed KDE 4 to KDE in package descriptions throughout

 -- Sune Vuorela <debian@pusling.com>  Sat, 11 Jul 2009 23:07:49 +0200

kdegames (4:4.2.4-1) unstable; urgency=low

  * New upstream release
  * Fix sections.

 -- Sune Vuorela <debian@pusling.com>  Sat, 30 May 2009 00:51:59 +0200

kdegames (4:4.2.2-1) unstable; urgency=low

  * New upstream release:
    - Bugfixes in kpat. (Closes: #376420, #444050, #291007, #422437, #448641)
    - kmines, it is not longer possible cheat the timer. (Closes: #409310)
    - knetwalk, game type is shown after restart. (Closes: #417837)
  * Bump build-deps.

 -- Sune Vuorela <debian@pusling.com>  Mon, 06 Apr 2009 01:33:00 +0200

kdegames (4:4.2.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * libkdegames4 -> libkdegames5 in debian/rules.
  * Point Debian Vcs URLs to pkg-kde/trunk (new location).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 06 Mar 2009 00:43:27 +0100

kdegames (4:4.2.0-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Use sameVersionDep for libkdegames-dev kdelibs5-dev dependency.
  * Bump debian/compat and debhelper build dependency to v7 (to get more
    sophisticated debian/tmp handling).
  * Switch from internal debian/cdbs/kde.mk to pkg-kde-tools:
    - build depend on pkg-kde-tools 0.4;
    - remove debian/cdbs directory;


=== debian/control ===
Source: kdegames
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>, Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev,
 libglu1-mesa-dev, ggzcore-bin, libqca2-dev, zlib1g-dev, libeigen2-dev,
 shared-mime-info
Standards-Version: 3.8.4
Homepage: http://games.kde.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdegames/#_trunk_packages_kdegames_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdegames

Package: kdegames
Architecture: all
Section: kde
Depends: bovo (>= ${source:Version}), bomber (>= ${source:Version}), 
 kapman (>= ${source:Version}), katomic (>= ${source:Version}),
 kbattleship (>= ${source:Version}), kblackbox (>= ${source:Version}),
 kbounce (>= ${source:Version}), kdiamond (>= ${source:Version}),
 kgoldrunner (>= ${source:Version}), kiriki (>= ${source:Version}), 
 killbots (>= ${source:Version}), ktron (>= ${source:Version}),
 kjumpingcube (>= ${source:Version}), klines (>= ${source:Version}), 
 kmahjongg (>= ${source:Version}), kmines (>= ${source:Version}), 
 knetwalk (>= ${source:Version}), kolf (>= ${source:Version}), 
 kollision (>= ${source:Version}), konquest (>= ${source:Version}),
 kpat (>= ${source:Version}), kreversi (>= ${source:Version}),
 ksame (>= ${source:Version}), kshisen (>= ${source:Version}),
 kspaceduel (>= ${source:Version}), ksudoku (>= ${source:Version}),
 ksquares (>= ${source:Version}), ktuberling (>= ${source:Version}),
 kfourinline (>= ${source:Version}), lskat (>= ${source:Version}),
 kubrick (>= ${source:Version}), kblocks (>= ${source:Version}),
 kbreakout (>= ${source:Version}), ksirk (>= ${source:Version}),
 palapeli (>= ${source:Version}), granatier (>= ${source:Version}),
 kigo (>= ${source:Version})
Description: games from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes a collection of games provided with the official
 release of KDE.

Package: libkdegames5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Replaces: libkdegames1, libkdegames4
Conflicts: libkdegames4 
Description: libraries and common files for KDE games
 This package contains shared libraries and common infrastructure used by KDE
 games, including support for the GNU Gaming Zone online gaming environment.
 .
 This package is part of the KDE games module.

Package: kdegames-dbg
Architecture: any
Priority: extra
Section: debug
Depends: kdebase-runtime-dbg
Suggests: kdegames (= ${source:Version})
Description: debugging symbols for the KDE games module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE games module.

Package: libkdegames-dev
Architecture: any
Section: libdevel
Depends: ${sameVersionDep:kdelibs5-dev:libkdegames5}, libkdegames5 (= ${binary:Version})
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.

Package: kdegames-card-data
Architecture: all
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

Package: kdegames-mahjongg-data
Architecture: all
Description: tilesets and backgrounds for Mahjongg games
 This package contains a collection of tilesets and backgrounds for KMahjongg
 and KShisen.
 .
 This package is part of the KDE games module.

Package: bomber
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: arcade spaceship game
 Bomber is a game where you fly a spaceship and attempt to bomb the buildings
 below you. Each pass the spaceship makes, it gets lower and lower. If you've
 not destroyed a building in your path, you will crash into it. 
 .
 This package is part of the KDE games module.

Package: bovo
Architecture: any
Depends: ${shlibs:Depends}
Description: gomoku (five in line) board game
 Bovo is a game where two players take turns placing markers on the board,
 the winner being the first to complete a line of five markers.
 .
 This package is part of the KDE games module.

Package: kapman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Pac-Man clone
 Kapman is a clone of the well known game Pac-Man. You must go through the 
 levels escaping ghosts in a maze. You lose a life when a ghost eats you, but 
 you can eat the ghosts for a few seconds when eating an energizer. You win 
 points when eating pills, energizers, and bonus, and you win one life for 
 each 10,000 points.  When you have eaten all the pills and energizers of a 
 level, you go to the next level, and the player and ghost speeds increase. 
 .
 This package is part of the KDE games module.

Package: katomic
Architecture: any
Depends: ${shlibs:Depends}
Description: atomix puzzle game
 KAtomic is a puzzle game in which the player slides atoms around the board to
 assemble a molecule.
 .
 This package is part of the KDE games module.

Package: kbattleship
Architecture: any
Depends: ${shlibs:Depends}
Description: battleship board game
 KBattleship is an implementation of the Battleship game, where two players
 take turns firing at the opponent's ships by guessing their coordinates.
 .
 This package is part of the KDE games module.

Package: kblackbox
Architecture: any
Depends: ${shlibs:Depends}
Description: Black Box puzzle game
 KBlackBox is a game of hide and seek played on an grid of boxes, where the
 player shoots rays into the grid to deduce the positions of hidden objects.
 .
 This package is part of the KDE games module.

Package: kbounce
Architecture: any
Depends: ${shlibs:Depends}
Description: Jezzball arcade game 
 KBounce is a game where the player builds walls to confine a number of
 bouncing balls.
 .
 This package is part of the KDE games module.

Package: kdiamond
Architecture: any
Depends: ${shlibs:Depends}
Description: three-in-a-row game
 KDiamond is a three-in-a-row game like Bejeweled. It features unlimited fun 
 with randomly generated games and five difficulty levels with varying number 
 of diamond colors and board sizes.
 .
 This package is part of the KDE games module.

Package: kgoldrunner
Architecture: any
Depends: ${shlibs:Depends}
Description: Lode Runner arcade game
 KGoldrunner is a fast-paced platform game where the player must navigate a
 maze while collecting gold nuggets and avoiding enemies.  A variety of level
 packs are included, as well as an editor to create new levels.
 .
 This package is part of the KDE games module.

Package: killbots
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: port of the classic BSD console game robots
 killbots is a simple game of evading killer robots. The robots are numerous 
 and their sole objective is to destroy you.  Fortunately for you, their 
 creator has focused on quantity rather than quality and as a result 
 the robots are severely lacking in intelligence. Your superior wit and 
 a fancy teleportation device are your only weapons against the never-ending 
 stream of mindless automatons.
 .
 This package is part of the KDE games module.

Package: kiriki
Architecture: any
Depends: ${shlibs:Depends}
Description: Yahtzee dice game
 Kiriki is a dice game for up to six players, where each player rolls five dice
 to make combinations with the highest score.
 .
 This package is part of the KDE games module.

Package: kjumpingcube
Architecture: any
Depends: ${shlibs:Depends}
Description: simple tactical game
 KJumpingcube is a simple tactical game for one or two players, played on a
 grid of numbered squares.  Each turn, players compete for control of the board
 by capturing or adding to one square.
 .
 This package is part of the KDE games module.

Package: klines
Architecture: any
Depends: ${shlibs:Depends}
Description: color lines game
 KLines is a single-player game where the player removes colored balls from the
 board by arranging them into lines of five or more.  However, every time the
 player moves a ball, three more balls are added to the board.
 .
 This package is part of the KDE games module.

Package: kmahjongg
Architecture: any
Depends: ${shlibs:Depends}, kdegames-mahjongg-data (>= ${source:Version})
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

Package: kmines
Architecture: any
Depends: ${shlibs:Depends}
Description: minesweeper game
 KMines is a game where the player finds hidden mines without setting them off.
 .
 This package is part of the KDE games module.

Package: knetwalk
Architecture: any
Depends: ${shlibs:Depends}
Description: wire puzzle game
 KNetwalk is a puzzle game where the player arranges sections of wire to
 connect all the computers on the board.
 .
 This package is part of the KDE games module.

Package: kolf
Architecture: any
Depends: ${shlibs:Depends}
Description: miniature golf game
 Kolf is a miniature golf game for one to ten players.  A variety of courses
 are included, as well as an editor to create new courses.
 .
 This package is part of the KDE games module.

Package: kollision
Architecture: any
Depends: ${shlibs:Depends}
Description: simple ball dodging game 
 In Kollision you use mouse to control a small blue ball in a closed space
 environment filled with small red balls, which move about chaotically. 
 Your goal is to avoid touching any of those red balls with your blue one, 
 because the moment you do the game will be over. The longer you can stay in 
 game the higher will your score be.
 .
 This package is part of the KDE games module.

Package: konquest
Architecture: any
Depends: ${shlibs:Depends}
Description: simple turn-based strategy game
 Konquest is a game of galactic conquest for KDE, where rival empires vie to
 conquer planets and crush all opposition.  The game can be played with up to
 nine empires, commanded either by the computer or by puny earthlings.
 .
 This package is part of the KDE games module.

Package: kpat
Architecture: any
Depends: ${shlibs:Depends}, kdegames-card-data (>= ${source:Version})
Description: solitaire card games 
 KPatience is a collection of fourteen solitaire card games, including Klondike,
 Spider, and FreeCell.
 .
 This package is part of the KDE games module.

Package: kreversi
Architecture: any
Depends: ${shlibs:Depends}
Description: reversi board game
 KReversi is a board game where two players place pieces on the board to flip
 the opponent's pieces.  When neither player can flip any more pieces, the
 player with the most pieces on the board wins the game.
 .
 This package is part of the KDE games module.

Package: ksame
Architecture: any
Depends: ${shlibs:Depends}
Description: SameGame puzzle game 
 KSame is a puzzle game where the player removes groups of colored marbles to
 clear the board.
 .
 This package is part of the KDE games module.

Package: kshisen
Architecture: any
Depends: ${shlibs:Depends}, kdegames-mahjongg-data (>= ${source:Version})
Description: Shisen-Sho solitaire game

=== debian/rules ===
#!/usr/bin/make -f
 
include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_CMAKE_EXTRA_FLAGS += -DBIN_INSTALL_DIR=/usr/games

DEB_INSTALL_DOCS_ALL :=

DEB_INSTALL_CHANGELOGS_ALL = $(shell for f in ChangeLog CHANGELOG CHANGES; do if test -s $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; then echo $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; break; fi; done)

DEB_DH_MAKESHLIBS_ARGS_ALL := -V -u-c0

generate-icons:
	while read src dest; do \
		convert debian/tmp/$$src debian/icons/$$dest; \
	done <debian/icon-list

## kdegames 4.5.1

=== debian/changelog ===
kdegames (4:4.5.1-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_palapeli-native-menu-bar.diff from Aurelien Gateau to
    support global menu bar in Palapeli

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Sep 2010 15:46:01 +0100

kdegames (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 30 Aug 2010 17:31:41 +0200

kdegames (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:02 +0100

kdegames (4:4.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Change build dep of python-twisted to python-twisted-core (Closes: LP: #603142)
    - Bump kde-sc-dev-latest to 4.5.0

 -- Rohan Garg <rohangarg@ubuntu.com>  Sun, 01 Aug 2010 03:59:09 +0530

kdegames (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump kde-sc-dev-latest to 4.4.92

 -- Rohan Garg <rohangarg@ubuntu.com>  Sat, 10 Jul 2010 04:01:37 +0530

kdegames (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump kde-sc-dev-latest to 4.4.90
    - Modify kpat.install to add more icons

 -- Rohan Garg <rohan16garg@gmail.com>  Sat, 26 Jun 2010 04:57:50 +0530

kdegames (4:4.4.85-0ubuntu2) maverick; urgency=low

  * Add kdegames-mahjongg-data to depend of kajongg. (Closes: LP: #596932)

 -- Rohan Garg <rohan16garg@gmail.com>  Mon, 21 Jun 2010 21:48:26 +0530

kdegames (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream beta release
  * Modified kpat.install
  * Bumped kde-sc-dev-latest to 4.4.85

 -- Rohan Garg <rohan16garg@gmail.com>  Mon, 07 Jun 2010 19:43:04 +0530

kdegames (4:4.4.80-0ubuntu2) maverick; urgency=low

  * Bump version on palapeli-data replaces palapeli

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 02 Jun 2010 17:40:37 +0100

kdegames (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream beta release
  * New package for kajongg in debian/control
  * Custom deb flag for kajongg in debian/rules
  * New install file for kajongg
  * Remove README.source from debian/
  * Bump dep on kde-sc-dev-latest to 4.4.80

 -- Rohan Garg <rohan16garg@gmail.com>  Fri, 28 May 2010 20:16:42 +0530

kdegames (4:4.4.3-2ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, reminaing changes:
    - Keep Kubuntu docpath (/usr/share/doc/kde)
    - Keep Section fields in control

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 20 May 2010 06:39:56 +0200

kdegames (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump versions of build depends 

 -- Roderick B. Greening <roderick.greening@gmail.com>  Tue, 04 May 2010 03:08:06 -0230

kdegames (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Bump versions of KDE build-depends to 4.4.2
  * Update bovo.install

 -- Christian Mangold <neversfelde@ubuntu.com>  Sun, 28 Mar 2010 20:23:04 +0200

kdegames (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build dep versions

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 28 Feb 2010 05:04:50 +0100

kdegames (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build dep versions

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 04 Feb 2010 23:42:55 +0100

kdegames (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New upstream release candidate
    - Bump build dep versions

  [ Alessandro Ghersi ]
  * Bump Qt to 4.6.1

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 01 Feb 2010 21:31:59 +0100

kdegames (4:4.3.95-0ubuntu1) lucid; urgency=low

  * New upstream release candidate
    - Bump build dependencies to >= 4.3.95
  * Update install files
    - granatier.install

 -- Christian Mangold <neversfelde@ubuntu.com>  Wed, 20 Jan 2010 16:36:43 +0100

kdegames (4:4.3.90-0ubuntu1) lucid; urgency=low

  [ Jonathan Thomas ]
  * New upstream release candidate:
    - Bump build-depend versions

  [ Ryan Kavanagh ]
  * Added the GnuGo Go engine as a recommends to Kigo since Kigo is useless
    without it (it tells users to install a Go engine if there isn't one
    installed).

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 07 Jan 2010 10:03:03 -0500

kdegames (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Dec 2009 11:05:14 +0000

kdegames (4:4.3.80-0ubuntu1) lucid; urgency=low

  [ Roderick B. Greening ]
  * New upstream release
    - Re-pack source (gzip)
    - Bump build-deps
  * Remove Patches
    - kubuntu_01_abort.diff - fixed upstream
  * Update install files
    - katomic.install
    - kolf.install
    - libkdegames5.install
    - kdiamond.install
    - kblocks.install
    - kshisen.install
  * Add new games
    - granatier
    - kigo
    - palapeli

  [ Scott Kitterman ]
  * Update libkdegames-dev.install

 -- Scott Kitterman <scott@kitterman.com>  Sun, 06 Dec 2009 22:59:43 -0500

kdegames (4:4.3.3-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Merge with Debian testing remaining changes:
    - Keep -kde4 conflicts/replaces in debian/control
    - Keep Kubuntu docpath (/usr/share/doc/kde)
    - Build against libphonon-dev 4.6.0~beta1

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 13 Nov 2009 06:22:02 +0100

kdegames (4:4.3.2-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Bump kdelibs5-dev to 4.3.2
    - Update kubuntu_01_abort.diff, doc patches fixed by upstream

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 03 Oct 2009 20:18:10 +0200

kdegames (4:4.3.1-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Bump kdelibs5-dev to 4.3.1

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 28 Aug 2009 21:31:02 +0200

kdegames (4:4.3.0-0ubuntu2) karmic; urgency=low

  * Add build-dep on quilt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Aug 2009 15:20:41 +0000

kdegames (4:4.3.0-0ubuntu1) karmic; urgency=low



=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 
 DEB_INSTALL_CHANGELOGS_ALL = $(shell for f in ChangeLog CHANGELOG CHANGES; do if test -s $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; then echo $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; break; fi; done)
 
-DEB_DH_MAKESHLIBS_ARGS_ALL := -V -u-c0
+DEB_DH_MAKESHLIBS_ARGS_libkdegames5 := -V
+
+DEB_CMAKE_CUSTOM_FLAGS += -DINSTALL_KAJONGG:BOOL=TRUE
 
 generate-icons:
 	while read src dest; do \
